CH_TEST_FOR_ASYNCHRONOUS(3)

FUNCTION
ch_test_for_asynchronous - Test if a channel object is an asynchronous channel.

SYNOPSIS
#include <karma_ch.h>

flag ch_test_for_asynchronous

(Channel channel)

DESCRIPTION
This routine will test if a channel object is an asynchronous channel, i.e. a character special file, named FIFO, connection, a dock channel or one created by a call to <<ch_attach_to_asynchronous_descriptor>> or <<ch_create_pipe>>.

channel
    The channel object.

RETURN VALUE
TRUE if the channel is asynchronous, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/